﻿@model ProductVM
@{
    ViewData["Title"] = "Index";
    int count = 1;
   
}
<!--====== Breadcrumb Part Start ======-->

<div class="breadcrumb-area">
    <div class="container-fluid custom-container">
        <nav aria-label="breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a asp-controller="Home" asp-action="Index">Home</a></li>
                <li class="breadcrumb-item"><a href="shop-left-sidebar.html">Shop</a></li>
                <li class="breadcrumb-item active">Product Details</li>
            </ol>
        </nav>
    </div> <!-- container -->
</div>

<!--====== Breadcrumb Part Ends ======-->
<!--====== Single Product Part Start ======-->

<section class="single-product-page pt-20">
    <div class="container-fluid custom-container">
        <div class="row">
            <div class="col-lg-6">
                <div class="single-product-image mt-30">
                    <div class="product-single-image">

                        @foreach (ProductImages item in Model.Product.ProductImages)
                        {
                           
                            <div class="single-image">
                                <img src="~/assets/images/product/@item.Images." alt="">
                            </div>
                        }
                    </div>
                    <div class="product-single-thumb-image">
                        <ul class="product-single-thumb">


                            @foreach (ProductImages item in Model.Product.ProductImages)
                            {
                             
                                <li><img src="~/assets/images/product/@item.Images" alt=""></li>
                            }
                        </ul>
                    </div>
                </div> <!-- single product image -->
            </div>
            <div class="col-lg-6">
                <div class="single-product-content mt-30">
                    

                        <div class="tags d-flex">
                            <span class="tag-title">Tags:@Model.Product.Tags</span>
                            <ul class="tag-list media-body">
                                <li><a href="#">drone,</a></li>
                                <li><a href="#">camera</a></li>
                            </ul>
                        </div>
                        <h2 class="product-title">@Model.Product.Name</h2>
                        <div class="review-rating d-flex flex-wrap">
                            <ul class="rating">
                                <li class="rating-on"><i class="fas fa-star"></i></li>
                                <li class="rating-on"><i class="fas fa-star"></i></li>
                                <li class="rating-on"><i class="fas fa-star"></i></li>
                                <li class="rating-on"><i class="fas fa-star"></i></li>
                                <li class="rating-on"><i class="fas fa-star"></i></li>
                            </ul>
                            <ul class="review-link">
                                <li><a href="#">(1 Review)</a></li>
                                <li><a href="#">Write A Review</a></li>
                            </ul>
                        </div>
                        <div class="product-price">
                            @if (Model.Product.Interest > 0)
                            {
                                <span class="regular-price">€@Model.Product.newPrice</span>

                                <span class="price-sale">€@Model.Product.Price</span>
                            }

                            @if (Model.Product.Interest == 0)
                            {
                                <span class="regular-price">€@Model.Product.Price</span>
                            }
                        </div>
                        <div class="product-basic-info">
                            <div class="single-info">
                                <span class="title">Ex Tax :</span>
                                <span class="value">@Model.Product.Extax</span>
                            </div>
                            <div class="single-info">
                                <span class="title">Brand :</span>
                                <span class="value"><a href="#">@Model.Product.Brand</a></span>
                            </div>
                            <div class="single-info">
                                <span class="title"> Product Code :@Model.Product.ProductCode</span>
                                <span class="value">abcd+@Model.Product.Id</span>
                            </div>
                            <div class="single-info">
                                <span class="title"> Availability :</span>
                                <span class="value">In stock </span>
                            </div>
                        </div>
                        <p>@Model.Product.Description</p>

                        <div class="product-size-color-quantity">
                            <div class="product-quantity mt-25">
                                <h5 class="title">Quantity</h5>
                                <div class="quantity mt-15 d-flex">

                                    <button type="button" class="sub"><i class="fal fa-minus"></i></button>
                                    <input type="text" value=@count />
                                   
                                    <button type="button" class="add"><i class="fal fa-plus"></i></button>
                                </div>
                            </div>
                        </div>
                        <div class="cart">
                            <a asp-controller="Home" asp-action="AddCard" asp-route-id="@Model.Product.Id"><i class="icon ion-bag"></i> Add to cart</a>
                        </div>
                        <div class="product-wishlist-compare">
                            <ul class="d-flex flex-wrap">
                                <li><a asp-controller="Home" asp-action="AddWishlist" asp-route-id="@Model.Product.Id"><i class="fal fa-heart"></i> Add to wishlist</a></li>
                                <li><a asp-controller="Home" asp-action="AddCompare" asp-route-id="@Model.Product.Id"><i class="fal fa-repeat"></i> Add to compare</a></li>
                            </ul>
                        </div>
                   

                    <div class="product-share d-flex">
                        <p>Share</p>
                        <ul class="social media-body">
                            <li><a href="#"><i class="fab fa-facebook-f"></i></a></li>
                            <li><a href="#"><i class="fab fa-twitter"></i></a></li>
                            <li><a href="#"><i class="fab fa-google"></i></a></li>
                            <li><a href="#"><i class="fab fa-pinterest-p"></i></a></li>
                        </ul>
                    </div>
                    <div class="reassurance-block">
                        <div class="row">
                            <div class="col-sm-4">
                                <div class="single-reassurance d-flex">
                                    <div class="reassurance-icon">
                                        <img src="~/assets//images/icon-1.png" alt="icon">
                                    </div>
                                    <div class="reassurance media-body">
                                        <p>Security policy (edit with Customer reassurance module)</p>
                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-4">
                                <div class="single-reassurance d-flex">
                                    <div class="reassurance-icon">
                                        <img src="~/assets//images/icon-2.png" alt="icon">
                                    </div>
                                    <div class="reassurance media-body">
                                        <p>Delivery policy (edit with Customer reassurance module)</p>
                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-4">
                                <div class="single-reassurance d-flex">
                                    <div class="reassurance-icon">
                                        <img src="~/assets//images/icon-3.png" alt="icon">
                                    </div>
                                    <div class="reassurance media-body">
                                        <p>Return policy (edit with Customer reassurance module)</p>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div> <!-- single product content -->
            </div>
        </div> <!-- row -->
    </div> <!-- container -->
</section>

<!--====== Single Product Part Ends ======-->
<!--====== Product Description Part Start ======-->

<section class="product-description-area pt-50">
    <div class="container-fluid custom-container">
        <ul class="nav justify-content-center" id="myTab" role="tablist">
            <li class="nav-item" role="presentation">
                <a class="active" id="description-tab" data-toggle="tab" href="#description" role="tab" aria-controls="description" aria-selected="true">Description</a>
            </li>
            <li class="nav-item" role="presentation">
                <a id="review-tab" data-toggle="tab" href="#review" role="tab" aria-controls="review" aria-selected="false">Review</a>
            </li>
        </ul>
        <div class="tab-content" id="myTabContent">
            <div class="tab-pane fade show active" id="description" role="tabpanel" aria-labelledby="description-tab">
                <div class="description">
                    <p>@Model.Product.Description</p>
                </div> <!-- Description -->
            </div>
            <div class="tab-pane fade" id="review" role="tabpanel" aria-labelledby="review-tab">
                <div class="product-rating-content">
                    <div class="average-rating">
                        <h4 class="rating-overall">4.5 <span>(Overall)</span></h4>
                        <p>Based on 9 Comments</p>
                    </div>
                    <div class="rating-list d-flex flex-wrap">
                        <div class="single-rating">
                            <i class="fas fa-star"></i>
                            <i class="fas fa-star"></i>
                            <i class="fas fa-star"></i>
                            <i class="fas fa-star"></i>
                            <i class="fas fa-star"></i>
                            <span>(5)</span>
                        </div>
                        <div class="single-rating">
                            <i class="fas fa-star"></i>
                            <i class="fas fa-star"></i>
                            <i class="fas fa-star"></i>
                            <i class="fa fa-star"></i>
                            <i class="far fa-star"></i>
                            <span>(3)</span>
                        </div>
                        <div class="single-rating">
                            <i class="fas fa-star"></i>
                            <i class="fas fa-star"></i>
                            <i class="fas fa-star"></i>
                            <i class="far fa-star"></i>
                            <i class="far fa-star"></i>
                            <span>(1)</span>
                        </div>
                        <div class="single-rating">
                            <i class="fas fa-star"></i>
                            <i class="fas fa-star"></i>
                            <i class="far fa-star"></i>
                            <i class="far fa-star"></i>
                            <i class="far fa-star"></i>
                            <span>(0)</span>
                        </div>
                        <div class="single-rating">
                            <i class="fas fa-star"></i>
                            <i class="far fa-star"></i>
                            <i class="far fa-star"></i>
                            <i class="far fa-star"></i>
                            <i class="far fa-star"></i>
                            <span>(0)</span>
                        </div>
                    </div>
                    <div class="rating-items" >


                        @foreach (Comment item in Model.Product.Comments)
                        {
                            <div class="single-rating-item">
                                <div class="rating-author d-flex flex-wrap">
                                    <h4 class="author-name">@item.Name</h4>
                                    <ul class="rating-star">
                                        <li><i class="fas fa-star"></i></li>
                                        <li><i class="fas fa-star"></i></li>
                                        <li><i class="fas fa-star"></i></li>
                                        <li><i class="fas fa-star"></i></li>
                                        <li><i class="fas fa-star"></i></li>
                                        <li><span>(5)</span></li>
                                    </ul>
                                </div>
                                <p>@item.Comments</p>
                            </div>
                        }


                    </div>

                    <div class="rating-form" id="comment">
                        <h4 class="form-title">Add your Comments</h4>

                        <form class="forms-sample" method="post">
                            <div class="rating-star d-flex">
                                <span class="title">Rating:</span>
                                <ul>
                                    <li><i class="fas fa-star"></i></li>
                                    <li><i class="fas fa-star"></i></li>
                                    <li><i class="fas fa-star"></i></li>
                                    <li><i class="fas fa-star"></i></li>
                                    <li><i class="fas fa-star"></i></li>
                                </ul>
                            </div>
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="single-form">
                                        <label asp-for="@Model.Comment.Name"></label>
                                        <input asp-for="@Model.Comment.Name" class="form-control form-control-lg">
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="single-form">
                                        <label asp-for="@Model.Comment.Email"></label>
                                        <input asp-for="@Model.Comment.Email" class="form-control form-control-lg">

                                    </div>
                                </div>
                                <div class="col-md-12">
                                    <div class="single-form">
                                        <label asp-for="@Model.Comment.Comments"></label>
                                        <textarea asp-for="@Model.Comment.Comments" class="form-control form-control-lg"></textarea>

                                    </div>
                                </div>
                                <div class="col-md-12">
                                    <div class="single-form">
                                        <button type="submit" class="main-btn">Add Review</button>
                                    </div>
                                </div>
                            </div>
                        </form>

                    </div>
                </div> <!-- Rating Content -->
            </div>
        </div> <!-- tab-content -->
    </div> <!-- container -->
</section>

<!--====== Product Description Part Ends ======-->
<!--====== Product Part Start ======-->


<div class="row">
    <div class="col-lg-12">
        <div class="product-menu pb-30">
            <ul class="nav justify-content-center" id="myTab" role="tablist">
                <li class="nav-item" role="presentation">
                    <a class="active" id="new-tab" data-toggle="tab" href="#new" role="tab" aria-controls="new" aria-selected="true">New Arrival</a>
                </li>
                <li class="nav-item" role="presentation">
                    <a id="bestseller-tab" data-toggle="tab" href="#bestseller" role="tab" aria-controls="bestseller" aria-selected="false">Bestseller</a>
                </li>
                <li class="nav-item" role="presentation">
                    <a id="featured-tab" data-toggle="tab" href="#featured" role="tab" aria-controls="featured" aria-selected="false">Featured</a>
                </li>
            </ul>
        </div> <!-- product menu -->
    </div>
</div> <!-- row -->
<div class="tab-pane fade show active" id="new" role="tabpanel" aria-labelledby="new-tab">
    <div class="product-items">
        <div class="row product-active">

            @foreach (Product product in Model.Products)
            {
                var secondImage = "";
                var firstImage = product.ProductImages.ElementAt<ProductImages>(0).Images;
                if (product.ProductImages.Count > 1)
                {
                    secondImage = product.ProductImages.ElementAt<ProductImages>(1).Images;

                }

                <div class="col-lg-2">
                    <div class="single-product mt-30">
                        <div class="product-image">
                            <a asp-controller="Product" asp-action="Index" asp-route-id="@product.Id">
                                <img class="first-image" src="~/assets/images/product/@firstImage" alt="product">
                                @if (product.ProductImages.Count > 1)
                                {

                                    <img class="second-image" src="assets/images/product/@secondImage" alt="product">
                                }


                            </a>
                            <ul class="product-meta">
                                <li><a asp-controller="Product" asp-action="Index" asp-route-id="@product.Id"><i class="icon ion-bag"></i></a></li>
                                <li><a asp-controller="Product" asp-action="Index" asp-route-id="@product.Id"><i class="icon ion-android-favorite-outline"></i></a></li>
                                <li><a asp-controller="Product" asp-action="Index" asp-route-id="@product.Id"><i class="icon ion-android-options"></i></a></li>
                                <li><a data-toggle="modal" data-target="#productQuickModal" href="#"><i class="icon ion-android-open"></i></a></li>
                            </ul>
                            @if (product.Interest > 0)
                            {
                                <span class="discount-product">-@product.Interest%</span>
                            }

                        </div>
                        <div class="product-content">
                            <ul class="product-rating">
                                <li class="rating-on"><i class="fas fa-star"></i></li>
                                <li class="rating-on"><i class="fas fa-star"></i></li>
                                <li class="rating-on"><i class="fas fa-star"></i></li>
                                <li class="rating-on"><i class="fas fa-star"></i></li>
                                <li class="rating-on"><i class="fas fa-star"></i></li>
                            </ul>
                            <h4 class="product-title"><a asp-controller="Product" asp-action="Index" asp-route-id="@product.Id">@product.Name...</a></h4>
                            <div class="product-price">
                                @if (product.Interest > 0)
                                {
                                    <span class="regular-price ">€@product.Price</span>
                                    <span class="price-sale">€@product.newPrice</span>
                                }
                                else
                                {
                                    <span class="price-sale">€@product.Price</span>
                                }

                            </div>
                        </div>
                    </div> <!-- single product -->


                </div>
            }


        </div> <!-- row -->
    </div> <!-- product items -->
</div>

